Loading...
Searching...
No Matches
RIFF FourCCs
libavformat » Utility functions

Get the tables mapping RIFF FourCCs to libavcodec AVCodecIDs. More...

## Functions

const struct AVCodecTag * | avformat_get_riff_video_tags (void)
const struct AVCodecTag * | avformat_get_riff_audio_tags (void)
const struct AVCodecTag * | avformat_get_mov_video_tags (void)
const struct AVCodecTag * | avformat_get_mov_audio_tags (void)

## Detailed Description

Get the tables mapping RIFF FourCCs to libavcodec AVCodecIDs.

The tables are meant to be passed to av_codec_get_id()/av_codec_get_tag() as in the following code:

uint32_t tag = MKTAG('H', '2', '6', '4');
const struct AVCodecTag *table[] = { avformat_get_riff_video_tags(), 0 };
enum AVCodecID id = av_codec_get_id(table, tag);
AVCodecID
AVCodecID
Identify the syntax and semantics of the bitstream.
Definition codec_id.h:49
av_codec_get_id
enum AVCodecID av_codec_get_id(const struct AVCodecTag *const *tags, unsigned int tag)
Get the AVCodecID for the given codec tag tag.
avformat_get_riff_video_tags
const struct AVCodecTag * avformat_get_riff_video_tags(void)
MKTAG
#define MKTAG(a, b, c, d)
Definition macros.h:55

## Function Documentation

## avformat_get_riff_video_tags()

const struct AVCodecTag * avformat_get_riff_video_tags | ( | void |  | ) |

Returns
  the table mapping RIFF FourCCs for video to libavcodec AVCodecID.

## avformat_get_riff_audio_tags()

const struct AVCodecTag * avformat_get_riff_audio_tags | ( | void |  | ) |

Returns
  the table mapping RIFF FourCCs for audio to AVCodecID.

## avformat_get_mov_video_tags()

const struct AVCodecTag * avformat_get_mov_video_tags | ( | void |  | ) |

Returns
  the table mapping MOV FourCCs for video to libavcodec AVCodecID.

## avformat_get_mov_audio_tags()

const struct AVCodecTag * avformat_get_mov_audio_tags | ( | void |  | ) |

Returns
  the table mapping MOV FourCCs for audio to AVCodecID.